@charset "UTF-8";

vui-radio {
    display: inline-block;
    --radio-main-color: var(--color-control-active);
    --radio-disabled-color: var(--color-control-inactive);
    --radio-text-color: var(--color-text-primary);
    --radio-disabled-text-color: var(--color-text-inactive);
    --radio-label-font: var(--regular-l)
}

.radio_radio__1ESde {
    font: var(--radio-label-font);
    display: block;
    position: relative;
    padding-left: var(--offset-md-s);
    color: var(--radio-text-color);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    -webkit-transition: color var(--transition-fastest) var(--cubic-ease-in-out);
    transition: color var(--transition-fastest) var(--cubic-ease-in-out)
}

@media (hover: hover) and (pointer: fine) {
    .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_checkmark__1Oxiz {
        border: var(--border-width-l) solid var(--radio-main-color)
    }
}

.radio_radio__1ESde.radio_disabled__QvIhn {
    cursor: not-allowed;
    color: var(--radio-disabled-text-color)
}

.radio_radio__1ESde.radio_disabled__QvIhn .radio_checkmark__1Oxiz {
    border-color: var(--radio-disabled-color)
}

.radio_radio__1ESde input {
    position: absolute;
    opacity: var(--opacity-0);
    cursor: pointer;
    top: 0;
    left: 0
}

.radio_checkmark__1Oxiz {
    display: -ms-flexbox;
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    height: var(--height-md-2xs);
    width: var(--width-md-2xs);
    background-color: transparent;
    border: var(--border-width-s) solid var(--radio-main-color);
    border-radius: var(--border-radius-ml);
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out)
}

.radio_checkmark__1Oxiz:after {
    content: "";
    display: -ms-flexbox;
    display: flex;
    border-radius: var(--border-radius-xs);
    position: relative;
    margin: auto;
    visibility: hidden
}

.radio_checked__2JFGR .radio_radio__1ESde:not(.radio_disabled__QvIhn),
.radio_checked__2JFGR .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_radio__1ESde:not(.radio_disabled__QvIhn) {
    color: var(--radio-text-color)
}

.radio_checked__2JFGR .radio_checkmark__1Oxiz,
.radio_checked__2JFGR .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_checkmark__1Oxiz {
    border: var(--border-width-s) solid var(--radio-main-color)
}

.radio_checked__2JFGR .radio_checkmark__1Oxiz,
.radio_checked__2JFGR .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_checkmark__1Oxiz {
    border-color: var(--radio-main-color)
}

.radio_checked__2JFGR .radio_checkmark__1Oxiz:after,
.radio_checked__2JFGR .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_checkmark__1Oxiz:after {
    visibility: visible;
    background: var(--radio-main-color);
    width: var(--width-sm-m);
    height: var(--height-sm-m);
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-in-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-in-out)
}

.radio_checked__2JFGR .radio_radio__1ESde.radio_disabled__QvIhn .radio_checkmark__1Oxiz:after {
    background: var(--radio-disabled-color)
}

.radio_button___A4IM .radio_checkmark__1Oxiz {
    width: var(--width-full);
    height: 100%;
    border-radius: var(--border-radius-l);
    border-color: var(--color-stroke-active)
}

.radio_button___A4IM .radio_checkmark__1Oxiz:after {
    display: none
}

.radio_button___A4IM .radio_radio__1ESde {
    font: var(--black-xs);
    padding: 0 var(--offset-sm-l);
    text-align: center;
    color: var(--radio-text-color);
    border-radius: var(--border-radius-l);
    background-color: var(--color-background-surface)
}

@media (hover: hover) and (pointer: fine) {
    .radio_button___A4IM .radio_radio__1ESde:not(.radio_disabled__QvIhn):hover .radio_checkmark__1Oxiz {
        color: var(--radio-text-color);
        border-color: var(--color-stroke-highlight)
    }
}

.radio_button___A4IM .radio_radio__1ESde.radio_disabled__QvIhn {
    color: var(--radio-disabled-text-color)
}

.radio_button___A4IM.radio_checked__2JFGR .radio_radio__1ESde:hover .radio_checkmark__1Oxiz,
.radio_button___A4IM.radio_checked__2JFGR .radio_radio__1ESde .radio_checkmark__1Oxiz {
    border: var(--border-width-s) solid var(--radio-main-color)
}

.radio_button___A4IM.radio_checked__2JFGR .radio_radio__1ESde.radio_disabled__QvIhn {
    background: var(--color-background-secondary-surface);
    color: var(--radio-disabled-text-color)
}

.radio_button___A4IM.radio_checked__2JFGR .radio_radio__1ESde.radio_disabled__QvIhn .radio_checkmark__1Oxiz {
    border: var(--border-width-s) solid var(--radio-disabled-color)
}

.radio_button___A4IM.radio_stretch__19mPq,
.radio_button___A4IM[stretch] {
    width: var(--width-full)
}

.radio_button___A4IM.radio_sm__3My_z .radio_checkmark__1Oxiz {
    height: var(--height-md-s)
}

.radio_button___A4IM.radio_sm__3My_z .radio_radio__1ESde {
    line-height: var(--height-md-s)
}

.radio_button___A4IM.radio_md__3YrSA .radio_checkmark__1Oxiz {
    height: var(--height-md-l)
}

.radio_button___A4IM.radio_md__3YrSA .radio_radio__1ESde {
    line-height: var(--height-md-l)
}

.radio_button___A4IM.radio_lg__2abaJ .radio_checkmark__1Oxiz {
    height: var(--height-md-2xl)
}

.radio_button___A4IM.radio_lg__2abaJ .radio_radio__1ESde {
    line-height: var(--height-md-2xl)
}

.radio_button___A4IM.radio_xlg__1rHqd .radio_checkmark__1Oxiz {
    height: var(--height-lg-s)
}

.radio_button___A4IM.radio_xlg__1rHqd .radio_radio__1ESde {
    line-height: var(--height-lg-s)
}